function descript_fun()
%
%   shows the results (disparity map and corresponding parameters) 
%   after clicking on a point in a plot
%
% (c) Jana Kostliva (kostliva@cmp.felk.cvut.cz)
%     CMP, FEE CTU in Prague, 23-Apr-2007
%
 
str = get(gco,'userdata');
fprintf('Algorithm: %s\n  parameters: %s\n',str.alg,str.params);
if (exist(sprintf('%s/%s/dmap_%s-params%d.mat',str.path,str.scene,...
		  str.alg, str.params_num)))
  load(sprintf('%s/%s/dmap_%s-params%d',str.path,str.scene,...
	       str.alg,str.params_num))
  figure;
  imagesc(d);colormap dmap; axis image;
  set(gca,'clim', ([drange(1)-2 drange(2)]))
  title(sprintf('Alg: %s\n params: %s, scene: %s',str.alg,...
		str.params,str.scene))
else
  fprintf('  No disparity map available, sorry\n')
end 
fprintf('***\n')


return

