function res = hitmiss(im, mask)
%
% hitmiss(im, mask) 
%  hit or miss morphological operation
%
%  mask: 1's and 0's define the foreground and the background, respectively
%        NaN's define the undefined pixels of the mask
%
% note: mask is centered 
%
% Bugs: only binary images
%
% See also: Morpho

% (c) Radim Sara (sara@cmp.felk.cvut.cz) FEE CTU Prague, 15 Oct 99

if min(isodd(size(mask))) == 0
 error('mask size must be odd');
end

res = minksub(im,mask==1) & minksub(~im,mask==0);

return
