%
%  sroc_protocol    main function for roc-based stereo algorithm
%                   evaluation
%
% (c) Jana Kostliva (kostliva@cmp.felk.cvut.cz)
%     CMP, FEE CTU in Prague, 23-Apr-2007
% 
 
% initializes the main variable sroc

sroc_init;

% evaluates the algorithm based on setting in sroc profile,
% results are stored in sroc profile

sroc = sroc_eval(sroc);

% plots the results (ROC points, ROC curve) wrt SFB, all ROC points
%   are click-able showing corresponding parameter setting and 
%   disparity map;
% if you want to show results wrt other SFB than the official
%   one, call the function: sroc_show(sroc, my_sfb);

sroc_show(sroc);

% computes Improvements and both dominant intervals of sroc 
%   algorithm wrt SFB; if sroc.export_results = 1, writes
%   results to 'Improvements.tex' file
% if you want to evaluate the algorithm wrt other SFB than 
%   the official one, call the function: 
%     [I, Dsr, Der] = sroc_improvements(sroc, my_sfb); 

[I, Dsr, Der] = sroc_improvements(sroc);


% tgz-file is prepared, if you set the results to be uploaded
% use only on UNIX machines, on Windows please zip the file manually
if (sroc.upload)
  sroc_prepare_upload(sroc);
end


%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% other available functions

% plots results of all algorithms in algs to common plots 
%   as ROC points, ROC curves and SFB computed from algs
algs = {'alg1','alg2'};
ResPth = './Results';
sroc_showall(algs,ResPth);

% computes Improvements and both dominant intervals between  
%   algorithms sroc1 and sroc2; if sroc.export_results = 1, 
%   writes results to 'Improvements_alg1_alg2.tex' file

[I, Dsr, Der] = sroc_improvements_algs(sroc1, sroc2);

